#include "ballTask.hpp"
#include "TopDefine.h"
#include "FreeRTOS.h"
#include "userTask.h"
#include <cmsis_os2.h>
#include "ball.hpp"
#include "remote_control.h"
#include "vofa.h"
#include "nuc.h"
extern RC_ctrl_t rc_ctrl;
Ball ball;
NUC_t Data; 

//检查光电
int abc=0;
//3   👆1800 中1000 👇200
extern int speedm;

void FunctionBall(void *argument)
{
    (void)argument; /* 未使用argument，消除警告 */

    const uint32_t delay_tick = osKernelGetTickFreq() / TASK_FREQ_BALL;
	
		osDelay(6000);//等待极致控制板启动
    XiaomiWait_init(1,&hcan2); //小米电机初始化
    
    uint32_t tick = osKernelGetTickCount();
		
    while(1)
    {
#ifdef DEBUG
     task_struct.stack_water_mark.ball = osThreadGetStackSpace(osThreadGetId());  
#endif          

    abc=HAL_GPIO_ReadPin(up_ball_GPIO_Port, up_ball_Pin);

     ball.rc_mode(); // 遥控器模式  

    
     	if (osMessageQueueGet(task_struct.msgq.nuc, &Data, NULL, 0) == osOK)
      {
          ball.data_get(Data);
      }
     
       ball.Move_Extend();
       ball.ball_control(); // 控制球的动作   
      
      ball.Send_control();

     
    tick += delay_tick; /* 计算下一个唤醒时刻 */
    osDelayUntil(tick);
    
    }
}
